$(document).ready(function() {
	$('table.tablesorter').each(function() {
		var $tabulka = $(this);
		$tabulka.find('th').each(function(column) {
			if ($(this).is('.rad-znaky')) {
				var $filtr = $('<div class="filtr"></div>');
				$('<h3></h3>')
				.text('Filtr ' + $(this).text() + ':')
				.appendTo($filtr);

				$('<div class="filtr">všechno</div>').click(function() {
					$tabulka.find('tbody tr').show();
					$(this).addClass('aktOdkaz')
					.siblings().removeClass('aktOdkaz');
				}).appendTo($filtr);

				var kluce = ['Anna', 'Peter'];

				$.each(kluce, function(index, kluc) {
					$('<div class="filtr"></div>').text(kluc)
					.bind('click', {key: kluc}, function(event) {
						$('tr:not(:has(th))', $tabulka).each(function() {
							var value = $('td', this).eq(column).text();
							if (value == event.data['key']) {
								$(this).show();
							}
							else {
								$(this).hide();
							}
						});
						$(this).addClass('aktOdkaz')
						.siblings().removeClass('aktOdkaz');
					}).appendTo($filtr);
				});

				$filtr.insertBefore($tabulka);
			}
		});
	});
});